/**
 * Author: Claudia D'Ambrosio
 * Date: 2012/02/14
 * MySolution.hpp
 */

#include "BonTMINLP.hpp"
#include<iostream>
#include<string>
#include<sstream>
#include<cstdlib>
#include<cmath>
#include "MySolution.hpp"

using namespace  Ipopt;
using namespace Bonmin;


/// Default constructor.
MySolution::MySolution() : status(-1),of(1e10) {}
  
MySolution::MySolution(int my_status, double my_of) {
  status = my_status;
  of = my_of;
}

/// virtual destructor.
MySolution::~MySolution() {}
  
int MySolution::getStatus() {
  return status;
}

double MySolution::getOF() {
  return of;
}

void MySolution::setStatus(int my_status) {
  status = my_status;
}

void MySolution::setOF(double my_of) {
  of = my_of;
}

  
  
void MySolution::printInfo() {
  std::cout << "Solution status: " << getStatus() << ", objective function value: " << getOF() << std::endl;
}
  
